// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: Attributes.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

import java.util.HashMap;
import java.util.Set;

public class Attributes {
	private HashMap map = new HashMap();

	public Attribute add(Attribute attribute) {
		return (Attribute) this.map.put(attribute.getName(), attribute);
	}

	public Attribute get(String name) {
		return (Attribute) this.map.get(name);
	}

	public Set entrySet() {
		return this.map.entrySet();
	}
}