// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: Identifiable.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public interface Identifiable {

	/**
	 * @param id
	 * @uml.property  name="id"
	 */
	public void setId(long id);

	/**
	 * @return
	 * @uml.property  name="id"
	 */
	public long getId();

	/**
	 * @param description
	 * @uml.property  name="description"
	 */
	public void setDescription(String description);

	/**
	 * @return
	 * @uml.property  name="description"
	 */
	public String getDescription();

}