// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: Machine.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class Machine extends AttributableResource implements Identifiable {

    private String description = "";

    private long id = 0;

    /**
	 * @return
	 * @uml.property  name="description"
	 */
    public String getDescription() {
        return description;
    }

    /**
	 * @return
	 * @uml.property  name="id"
	 */
    public long getId() {
        return id;
    }

    /**
	 * @param description
	 * @uml.property  name="description"
	 */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
	 * @param id
	 * @uml.property  name="id"
	 */
    public void setId(long id) {
        this.id = id;
    }

    public String toString() {
        return "[Machine: Id=" + this.id + ", Description=" + this.description + "]";
    }

}