// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: AbstractPart.java
//* Revision: 0.0.1 12-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class AbstractPart extends AttributableEstimateElement implements Identifiable {

    private BOMEntry bomEntry = new BOMEntry();

    private String currency = "";

    private String description = "";

    private long id = 0;

    private Costs memoCosts = new Costs();

    private Parts parts = new Parts();

    /**
	 * @return
	 * @uml.property  name="bomEntry"
	 */
    public BOMEntry getBomEntry() {
        return bomEntry;
    }

    /**
	 * @return
	 * @uml.property  name="currency"
	 */
    public String getCurrency() {
        return currency;
    }

    /**
	 * @return
	 * @uml.property  name="description"
	 */
    public String getDescription() {
        return description;
    }

    /**
	 * @return
	 * @uml.property  name="id"
	 */
    public long getId() {
        return id;
    }

    /**
	 * @return
	 * @uml.property  name="memoCosts"
	 */
    public Costs getMemoCosts() {
        return memoCosts;
    }

    /**
	 * @return
	 * @uml.property  name="parts"
	 */
    public Parts getParts() {
        return parts;
    }

    /**
	 * @param bomEntry
	 * @uml.property  name="bomEntry"
	 */
    public void setBomEntry(BOMEntry bomEntry) {
        this.bomEntry = bomEntry;
    }

    /**
	 * @param currency
	 * @uml.property  name="currency"
	 */
    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /**
	 * @param description
	 * @uml.property  name="description"
	 */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
	 * @param id
	 * @uml.property  name="id"
	 */
    public void setId(long id) {
        this.id = id;
    }
}