// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: AttributableConsumable.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public abstract class AttributableConsumable extends Consumable implements Attributable {

    private Attributes attributes = new Attributes();

    private Prices prices = new Prices();

    public boolean addPrice(Price price) {
        return this.prices.add(price);
    }

    public Attributes getAttributeMap() {
        return attributes;
    }

    /**
	 * @return
	 * @uml.property  name="prices"
	 */
    public Prices getPrices() {
        return prices;
    }

}