// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: CostedPart.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class CostedPart extends AbstractPart {

    private MachineEntries machines = new MachineEntries();

    private Machines machinesCentre = new Machines();

    private MaterialEntries materials = new MaterialEntries();

    /**
	 * @return
	 * @uml.property  name="machines"
	 */
    public MachineEntries getMachines() {
        return machines;
    }

    /**
	 * @return
	 * @uml.property  name="machinesCentre"
	 */
    public Machines getMachinesCentre() {
        return machinesCentre;
    }

    /**
	 * @return
	 * @uml.property  name="materials"
	 */
    public MaterialEntries getMaterials() {
        return materials;
    }

}