// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: Estimate.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

import java.util.Date;

/**
 * @author  manstis1
 */
public class Estimate implements Identifiable {

    private String description = "";

    private Date economicLevel;

    private long id = 0;

    private AbstractPart part;

    /**
	 * @return
	 * @uml.property  name="description"
	 */
    public String getDescription() {
        return description;
    }

    /**
	 * @return
	 * @uml.property  name="economicLevel"
	 */
    public Date getEconomicLevel() {
        return economicLevel;
    }

    /**
	 * @return
	 * @uml.property  name="id"
	 */
    public long getId() {
        return id;
    }

    /**
	 * @return
	 * @uml.property  name="part"
	 */
    public AbstractPart getPart() {
        return part;
    }

    /**
	 * @param description
	 * @uml.property  name="description"
	 */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
	 * @param economicLevel
	 * @uml.property  name="economicLevel"
	 */
    public void setEconomicLevel(Date economicLevel) {
        this.economicLevel = economicLevel;
    }

    /**
	 * @param id
	 * @uml.property  name="id"
	 */
    public void setId(long id) {
        this.id = id;
    }

    /**
	 * @param part
	 * @uml.property  name="part"
	 */
    public void setPart(AbstractPart part) {
        this.part = part;
    }

}