// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: MachineEntry.java
//* Revision: 0.0.1 12-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class MachineEntry {

    private CycleTime cycleTime;

    private Machine machine;

    private Operations operations = new Operations();

    /**
	 * @return
	 * @uml.property  name="cycleTime"
	 */
    public CycleTime getCycleTime() {
        return cycleTime;
    }

    /**
	 * @return
	 * @uml.property  name="machine"
	 */
    public Machine getMachine() {
        return machine;
    }

    /**
	 * @return
	 * @uml.property  name="operations"
	 */
    public Operations getOperations() {
        return operations;
    }

    /**
	 * @param cycleTime
	 * @uml.property  name="cycleTime"
	 */
    public void setCycleTime(CycleTime cycleTime) {
        this.cycleTime = cycleTime;
    }

    /**
	 * @param machine
	 * @uml.property  name="machine"
	 */
    public void setMachine(Machine machine) {
        this.machine = machine;
    }

    /**
	 * @param operations
	 * @uml.property  name="operations"
	 */
    public void setOperations(Operations operations) {
        this.operations = operations;
    }
}

