// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: Price.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

import java.util.Date;

/**
 * @author  manstis1
 */
public class Price {

	private String currency = "";

	private Date economicLevel;

	private float rate = 0;

	/**
	 * @return
	 * @uml.property  name="currency"
	 */
	public String getCurrency() {
		return currency;
	}

	/**
	 * @return
	 * @uml.property  name="economicLevel"
	 */
	public Date getEconomicLevel() {
		return economicLevel;
	}

	/**
	 * @return
	 * @uml.property  name="rate"
	 */
	public float getRate() {
		return rate;
	}

	/**
	 * @param currency
	 * @uml.property  name="currency"
	 */
	public void setCurrency(String currency) {
		this.currency = currency;
	}

	/**
	 * @param economicLevel
	 * @uml.property  name="economicLevel"
	 */
	public void setEconomicLevel(Date economicLevel) {
		this.economicLevel = economicLevel;
	}

	/**
	 * @param rate
	 * @uml.property  name="rate"
	 */
	public void setRate(float rate) {
		this.rate = rate;
	}
}