// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: Process.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class Process extends AttributableEstimateElement implements Identifiable {

    private ProcessAlternatives alternatives = new ProcessAlternatives();

    private String description = "";

    private long id = 0;

    public boolean addProcessAlternative(ProcessAlternative alternative) {
        return this.alternatives.add(alternative);
    }

    /**
	 * @return
	 * @uml.property  name="description"
	 */
    public String getDescription() {
        return description;
    }

    /**
	 * @return
	 * @uml.property  name="id"
	 */
    public long getId() {
        return this.id;
    }

    public ProcessAlternatives getProcessAlternatives() {
        return alternatives;
    }

    /**
	 * @param description
	 * @uml.property  name="description"
	 */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
	 * @param id
	 * @uml.property  name="id"
	 */
    public void setId(long id) {
        this.id = id;
    }
}