// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: ProcessAlternative.java
//* Revision: 0.0.1 12-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class ProcessAlternative implements Identifiable {

    private String description = "";

    private long id = 0;

    private MachineEntries machines = new MachineEntries();

    private MaterialEntries materials = new MaterialEntries();

    /**
	 * @return
	 * @uml.property  name="description"
	 */
    public String getDescription() {
        return description;
    }

    /**
	 * @return
	 * @uml.property  name="id"
	 */
    public long getId() {
        return id;
    }

    /**
	 * @return
	 * @uml.property  name="machines"
	 */
    public MachineEntries getMachines() {
        return machines;
    }

    /**
	 * @return
	 * @uml.property  name="materials"
	 */
    public MaterialEntries getMaterials() {
        return materials;
    }

    /**
	 * @param description
	 * @uml.property  name="description"
	 */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
	 * @param id
	 * @uml.property  name="id"
	 */
    public void setId(long id) {
        this.id = id;
    }

    /**
	 * @param machines
	 * @uml.property  name="machines"
	 */
    public void setMachines(MachineEntries machines) {
        this.machines = machines;
    }

    /**
	 * @param materials
	 * @uml.property  name="materials"
	 */
    public void setMaterials(MaterialEntries materials) {
        this.materials = materials;
    }
}